KVIRC(1)

NAME
KVIrc - ein Internet-Relay-Chat-Client.

SYNOPSIS
kvirc [Optionen] [Server [Port]] [ircurl [ircurl [...]]]

BESCHREIBUNG

KVIrc ist ein auf der Qt-Bibliothek basierender IRC Client mit grafischer Oberfläche.

KVIrc stellt eine benutzerfreundliche Schnittstelle zum IRC-Protokoll (siehe RFC1459) und seinen Erweiterungen dar.

OPTIONEN
KVIrc akzeptiert die folgenden Optionen:

-h, --help
    Gibt eine Liste aller Befehlszeilenoptionen aus und beendet das Programm.

-v, --version
    Zeigt die Versionsinformationen an.

-c <Datei>
    <Datei> statt ~/.kvirc.rc als Konfigruationsdatei verwenden. Wenn <Datei> nicht existiert, wird $HOME/.kvirc.rc genutzt.

-n <Datei>
    <Datei> statt ~/.kvirc.rc als Konfigruationsdatei verwenden. Erstelle <Datei>, falls sie nicht existiert.

-f  Eine neue KVIrc-Sitzung erzwingen, selbst wenn bereits ein laufende vorhanden ist.

-e <Befehle>
    Wenn bereits eine KVIrc-Sitzung ausgeführt wird, führe die <Befehle> in dieser aus, anderenfalls starte normal und führe die <Befehle> aus. <Befehle> muss ein einzelner Shell-Token sein. Diese Option kann mehrfach angegeben werden.

-x <commands>
    Wenn bereits eine KVIrc-Sitzung ausgeführt wird, führe die <Befehle> in dieser aus, anderenfalls tue nichts und breche ab. <Befehle> muss ein einzelner Shell-Token sein. Diese Option kann mehrfach angegeben werden.

-r <commands>
    Wenn bereits eine KVIrc-Sitzung ausgeführt wird, führe <Befehle> in dieser aus, anderenfalls starte normal (und führe <Befehle> NICHT aus). <Befehle> muss ein einzelner Shell-Token sein. Diese Option kann mehrfach angegeben werden.

-m  Sollte bereits eine Sitzung laufen, zeige einen darüber informierenden Popup-Dialog an, anstatt die Meldung auf einer Konsole auszugeben. Dies ist besonders dann hilfreich, wenn KVIrc mittels eines grafischen Buttons in der Taskleise gestartet wird.

--nosplash
    Den Begrüßungsbildschirm (splash screen) nicht anzeigen.

[Server]
    Nach dem Start zu diesem Server verbinden.

[port]
    Zum zuvor zwingend anzugebenden Server zu diesem Ports verbinden.

[ircurl]
    Eine URL der Form
      irc[6]://<Server>[:<Port>][/<Kanal>[?<Passwort>]] Für jede auf der Befehlszeile angegebene URL einen neuen IRC-Kontext erstellen und versuchen, zu <Server> auf <Port> zu verbinden. Der optionale Parameter <Kanal> gibt den nach dem Verbinden automatisch zu betretenen Kanal an.

UMGEBUNG

KVIRC_LANG
    Spracheinstellung. Wenn nicht gesetzt, wird KVIrc $LANG nutzen.

LANG
    Spracheinstellung. Falls nicht angegeben (oder falls auf »en«, »POSIX« oder »C« gesetzt), wird KVIrc die Standardsprache (Englisch) verwenden.

DATEIEN
$PREFIX/share/kvirc/VERSION/*
    Verzeichnis welches die globalen KVIrc-Einstellungen, Module usw. enthält. $HOME/.kvirc.rc KVIrc sucht zuerst nach dieser Datei. Sollte der »-c«-Parameter übergeben worden sein, wird die damit angegebene Datei statt dieser verwandt. Sollte die Datei gefunden werden, wird die erste nicht leere Zeile als Pfadangabe zum Lokalen KVIrc-Verzeichnis interpretiert. Sollte entweder diese Datei nicht gefunden werden oder das Lokale KVIrc-Verzeichnis nicht existieren, startet KVIrc im Setup-Modus und erlaubt die Auswahl eines neuen Lokalen KVIrc-Verzeichnisses. Lokales KVIrc-Verzeichnis/* Verzeichnis, welches die lokalen (benutzerspezifischen) KVIrc-Einstellungen enthält. Ähnelt dem globalen Verzeichnis.

SIEHE AUCH
X(1) talk(1)

COPYRIGHT
Copyright © 1999-2009 Szymon Stefanek und The KVIrc Development Team Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

VERBESSERUNGSVORSCHLÄGE UND FEHLER (BUGS)
Alle gefundenen Bugs und Verbesserungsvorschläge sollten unter <https://svn.kvirc.de/kvirc/> berichtet werden.

OFFIZIELLE WEBSEITE
http://www.kvirc.net

AUTOREN
Szymon 'Pragma' Stefanek <pragma at kvirc dot net> Code, Fehlerbehebungen, neue Features und vieles mehr von Alessandro 'Noldor@freenode' Carbone, Elvio 'HelLViS69@freenode' Basello, Fabio 'CtrlAltCa@freenode' Bas, Alexey 'Alexey@freenode' Uzhva, Voker57@freenode Alte Autoren: Mit Patches, Fehlerbereinigungen, Erweiterugen und mehr von: [Anodine]@efnet, Till 'BuTi@ircnet' Busch, Fritz 'KNFritz@ircnet' Elfert, RAD Kade 1 Mit vielen Hilfen (Bug-Suche, scharfem Nachdenken, im IRC verbrachten Nächten, großartigen Ideen von vielen Leuten aus dem Internet, unter anderem: Paul 'infected@ircnet' Boehm, Olle 'Crocodile@ircnet' Hällnäs, Diablo@ircnet, Andrew 'Drosha@ircnet' Frolov, MalboroLi@ircnet, munehiro@ircnet Diese Übersetzung der Handbuchseite wurde von Kai Wasserbäch <debian@carbon-project.org> für das Debian-Projekt angefertigt, darf aber auch von anderen unter den selben Bediungen wie KVIrc verwandt werden. Aktualisiert von Markus Rennings <kvirc@mrmx.de>.